#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xecb04a8a, "");
SYMBOL_CRC(drm_gem_vram_put, 0xf0e21171, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xdfab1fb3, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x588d182a, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x59483bfb, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x5afcdddc, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x63d5dc78, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xf598c279, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x63f7dd23, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x07681c06, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xc9ae4466, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x82cbfb65, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xe89fc63b, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x45e1e070, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x3961abc9, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xf28d77a2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6122d598, "ttm_range_man_init_nocheck" },
	{ 0xef539400, "ww_mutex_lock_interruptible" },
	{ 0x3eca7350, "ttm_resource_manager_debug" },
	{ 0x4d182fab, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x5357e6a3, "ttm_range_man_fini_nocheck" },
	{ 0xb04cc54f, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8dfb041a, "ttm_bo_pin" },
	{ 0x7c793820, "dev_driver_string" },
	{ 0x19ba4cd1, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce86fd7e, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x86284538, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe152c554, "drm_gem_object_release" },
	{ 0xf3585a90, "ttm_tt_init" },
	{ 0x13b15c6d, "drm_gem_handle_create" },
	{ 0xf3a6b1cf, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfdb389ab, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0x248df650, "drm_debugfs_add_files" },
	{ 0x86da728a, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x942dfa6e, "ttm_device_init" },
	{ 0xa76afbc3, "ttm_bo_validate" },
	{ 0x7e57d8a2, "ttm_bo_move_to_lru_tail" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0xf5b89b4a, "ttm_bo_vmap" },
	{ 0x93f1ae96, "ttm_bo_put" },
	{ 0xb46fc3b, "ttm_resource_free" },
	{ 0x6dc56609, "ttm_bo_move_memcpy" },
	{ 0x3d0c380e, "ttm_tt_fini" },
	{ 0xbc6e44bf, "ttm_device_fini" },
	{ 0xf74d2458, "drm_gem_plane_helper_prepare_fb" },
	{ 0x38ec841b, "ttm_bo_eviction_valuable" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0x596e6047, "drm_gem_ttm_print_info" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");
MODULE_INFO(rhelversion, "9.6");
