#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0xb9b10e3e, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x903f127c, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x0fd6d0ca, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x7b1af2c6, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xfeceee07, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xd5477d09, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0xbcfba34c, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x93f181f5, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xf144828c, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0xc743a15d, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0xb9b7a8f4, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x89db60df, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0xfe3fe30c, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0xe169aba1, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x40074b77, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x07cedc05, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0xe6d5be57, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0xcd4fe269, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0xe68e6eb2, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x27cf59f2, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0x4fbcbacd, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x975d4f53, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x14ae2b90, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2804854c, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xf45f4599, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa0e6bbdb, "__init_rwsem" },
	{ 0x6eafa5ff, "misc_deregister" },
	{ 0x695f5d1f, "iommu_device_claim_dma_owner" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4e0f6ece, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xff786af3, "iommu_group_get" },
	{ 0x7528eaef, "pin_user_pages_remote" },
	{ 0x5c5df097, "iommu_iova_to_phys" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0xce6df76, "finish_wait" },
	{ 0x78f9eaa6, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xb3f07243, "fget" },
	{ 0x2dae3fd, "__put_task_struct" },
	{ 0x70436867, "__xas_next" },
	{ 0xc3b8c553, "xas_find" },
	{ 0x33849f70, "iommu_dev_disable_feature" },
	{ 0xe27ec2e5, "unpin_user_pages" },
	{ 0xb83a1eca, "fd_install" },
	{ 0x36d750ce, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x88cdf76, "unpin_user_page_range_dirty_lock" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0x2cc8674a, "__account_locked_vm" },
	{ 0x1ce39326, "prepare_to_wait_event" },
	{ 0xb03e1cc3, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x96173c99, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x2e64f57a, "__tracepoint_mmap_lock_released" },
	{ 0x7fa807, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x62bbe49c, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x88ba0b5a, "iommu_detach_group_handle" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe297ffe9, "iommu_detach_group" },
	{ 0xcb9c3deb, "iommu_paging_domain_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xbc89c607, "iommu_dev_enable_feature" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88f6dda0, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x64f551e9, "fput" },
	{ 0x8c563a4d, "down_write" },
	{ 0xf0f0fe15, "iommu_domain_free" },
	{ 0xa00eecac, "up_write" },
	{ 0x36cbe90c, "iommu_get_msi_cookie" },
	{ 0x2a7d0fbb, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x1383b609, "iommu_unmap" },
	{ 0x74073c9b, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x3cb0bab6, "xas_load" },
	{ 0x905b952b, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x5fb6d98c, "iommu_attach_handle_get" },
	{ 0xb8725ece, "iommu_replace_group_handle" },
	{ 0x8530a5ac, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb578fc5, "memset" },
	{ 0xd91f97, "_dev_warn" },
	{ 0x8f49077e, "misc_register" },
	{ 0x54bd10e9, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdb6976c9, "__init_waitqueue_head" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0x341a8854, "iommu_put_resv_regions" },
	{ 0x9662d839, "down_read" },
	{ 0x7d5ef25b, "__mmdrop" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0xef0c94b9, "__xa_cmpxchg" },
	{ 0x78fae454, "nonseekable_open" },
	{ 0xcfe3815, "xa_erase" },
	{ 0x92ea962c, "__mmap_lock_do_trace_start_locking" },
	{ 0xc299f9ad, "iommu_get_resv_regions" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe84bb107, "mmput" },
	{ 0xae40baf3, "mutex_unlock" },
	{ 0x4e84720d, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xc535c413, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xa74c04e6, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xecf451b2, "__mmap_lock_do_trace_released" },
	{ 0xe4a0b9e4, "xa_store" },
	{ 0xb17ce834, "set_page_dirty_lock" },
	{ 0x7237dd58, "device_iommu_capable" },
	{ 0x2be6bf91, "xas_nomem" },
	{ 0x778f74af, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x4967b0, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6ba7185f, "iommu_attach_group_handle" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0x5d5646fb, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xfcf79c83, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x172ab287, "up_read" },
	{ 0x38b1d14c, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x312be5a, "pci_bus_type" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D06B1E82DC103F08D455125");
MODULE_INFO(rhelversion, "9.6");
