#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xd0eb5821, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x9adc53f3, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x5fbaa101, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xd55d06cb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb566929c, "netif_stacked_transfer_operstate" },
	{ 0xd851d440, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa6b20df9, "unregister_netdevice_queue" },
	{ 0x74291229, "netdev_upper_dev_unlink" },
	{ 0x5759a141, "__dev_get_by_index" },
	{ 0x5257a3ec, "register_netdevice" },
	{ 0xf0ef7dce, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7492504b, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x474b7843, "dev_uc_sync" },
	{ 0x12dacb25, "dev_mc_sync" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0xe822fa96, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x2debc29b, "skb_clone" },
	{ 0xc15ea597, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9185846d, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xc834295b, "__dev_queue_xmit" },
	{ 0x5232346e, "dev_forward_skb" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x11900395, "__netif_rx" },
	{ 0xf0a9624c, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd1491fd1, "netdev_core_stats_alloc" },
	{ 0x72418de9, "passthru_features_check" },
	{ 0xd82a068, "eth_validate_addr" },
	{ 0x84311584, "ndo_dflt_fdb_dump" },
	{ 0x4950210, "ethtool_op_get_link" },
	{ 0x4877f9f6, "eth_header_parse" },
	{ 0x94caa7ef, "eth_header_cache" },
	{ 0x3b7b91c7, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf6d9ef4b, "ether_setup" },
	{ 0xa1629ad7, "__ethtool_get_link_ksettings" },
	{ 0xe1efed23, "ethtool_get_ts_info_by_layer" },
	{ 0xc5de2117, "init_net" },
	{ 0x3b1a938c, "generic_hwtstamp_set_lower" },
	{ 0xc762d1bd, "generic_hwtstamp_get_lower" },
	{ 0xe65f8fb, "dev_mc_del" },
	{ 0xaae1ad25, "dev_uc_del" },
	{ 0xded16368, "dev_mc_add_excl" },
	{ 0x38909771, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x12b92cb9, "vlan_vid_del" },
	{ 0xf4909223, "vlan_vid_add" },
	{ 0x4870c8e1, "dev_set_allmulti" },
	{ 0x750351c1, "dev_set_promiscuity" },
	{ 0xd53ad0e7, "dev_uc_unsync" },
	{ 0xb4f5ab61, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf7c12a8a, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x48aceaed, "sk_skb_reason_drop" },
	{ 0x806a3758, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0x66d30a92, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4f139c76, "rtnl_link_unregister" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9406ea24, "netdev_is_rx_handler_busy" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0xed2f9fec, "netdev_rx_handler_register" },
	{ 0xfb3963e3, "dev_uc_add" },
	{ 0x7e0a8520, "call_netdevice_notifiers" },
	{ 0xed3dfc8, "netif_inherit_tso_max" },
	{ 0xdd434aac, "netdev_update_features" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.6");
