#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x1b5a4a0f, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xc3e3264e, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x0a72a3ad, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xe4b489f1, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x7c950076, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x880b3935, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xb5da869e, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x9a070486, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x8763e85d, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x6d581421, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xf3e762bb, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x4b0519f3, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x49420fe2, "_gpl");
SYMBOL_CRC(usbnet_open, 0x042f21af, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x2cc5b6a3, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x65d71b44, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xb46c14e0, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xeb341d0c, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x4dfa9118, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x08b2dbf6, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xf47e0c99, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x9f5266ec, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xf32982a1, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x1aa79573, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xb310586a, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x69965da9, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x61b71008, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x2a675d8a, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x529ea16e, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x1aec6901, "");
SYMBOL_CRC(usbnet_manage_power, 0xfe134bd1, "");
SYMBOL_CRC(usbnet_link_change, 0xc947adc3, "");
SYMBOL_CRC(usbnet_read_cmd, 0xf66c9881, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x5f454b04, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x2045f318, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x976aa662, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x198c1dcb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9157657c, "usb_set_interface" },
	{ 0x95adfda7, "usb_string" },
	{ 0xc96abf0a, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xaf22cd75, "skb_defer_rx_timestamp" },
	{ 0xe822fa96, "netif_rx" },
	{ 0x3ab8acb, "eth_type_trans" },
	{ 0x81076865, "skb_queue_tail" },
	{ 0xae4b94b1, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x64e353f2, "skb_queue_purge_reason" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0x68e679ae, "usb_get_urb" },
	{ 0x666a5676, "usb_unlink_urb" },
	{ 0xe9541c53, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeec94c2, "usb_submit_urb" },
	{ 0x23dd5ebc, "netdev_err" },
	{ 0xc5fd037b, "mii_ethtool_get_link_ksettings" },
	{ 0x65574300, "mii_ethtool_set_link_ksettings" },
	{ 0x4a647942, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f50cdf4, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3961bd17, "usb_scuttle_anchored_urbs" },
	{ 0xc0598e28, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc79b15c2, "free_netdev" },
	{ 0xe2c6264b, "netdev_info" },
	{ 0xa4dd0ef9, "netif_carrier_on" },
	{ 0x61cadca5, "netif_carrier_off" },
	{ 0x204e14fc, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1847942e, "usb_autopm_get_interface" },
	{ 0xccec71db, "usb_autopm_put_interface" },
	{ 0xbe473479, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0x905b952b, "mutex_lock" },
	{ 0xae40baf3, "mutex_unlock" },
	{ 0xa4692c97, "mii_link_ok" },
	{ 0x4950210, "ethtool_op_get_link" },
	{ 0xcc0e590f, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x1523bc8b, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9179ec3a, "remove_wait_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3fc93441, "netif_device_detach" },
	{ 0xfc632f99, "netif_device_attach" },
	{ 0x56669950, "skb_dequeue" },
	{ 0x3cde7961, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdb6976c9, "__init_waitqueue_head" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x38b1d14c, "__mutex_rt_init" },
	{ 0x3f843be2, "register_netdev" },
	{ 0x8f66194f, "pm_runtime_enable" },
	{ 0x6dede187, "skb_clone_tx_timestamp" },
	{ 0x798f9ae2, "usb_autopm_get_interface_async" },
	{ 0xa2eeed6b, "dev_kfree_skb_any_reason" },
	{ 0xaa303c31, "skb_tstamp_tx" },
	{ 0xf26555f4, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xfb6aec37, "__netdev_alloc_skb" },
	{ 0x9185846d, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x96173c99, "__wake_up" },
	{ 0xb41be20f, "netif_tx_wake_queue" },
	{ 0x3bff8fec, "usb_get_from_anchor" },
	{ 0x2d53ed05, "usb_autopm_get_interface_no_resume" },
	{ 0x7acf2376, "skb_put" },
	{ 0x2b5b9f8, "usb_clear_halt" },
	{ 0x169422df, "eth_mac_addr" },
	{ 0xd82a068, "eth_validate_addr" },
	{ 0xba9f3b15, "dev_get_tstats64" },
	{ 0xc88c211, "ethtool_op_get_ts_info" },
	{ 0x8f0402f3, "param_ops_int" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.6");
