#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x9eca9003, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xa5538a2e, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x383bee11, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x4019e051, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x2303097b, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xa3c7d5ae, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x3fb1c091, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x25df68b9, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x2461d843, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xe156624c, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x9c056c5b, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xc30dbd71, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x235e597e, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x7f97962a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6a37423, "try_module_get" },
	{ 0x6eafa5ff, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x22dc0c25, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x70da64a2, "_dev_info" },
	{ 0x9e80d4bc, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf399bd13, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x8c563a4d, "down_write" },
	{ 0x4063081a, "_dev_err" },
	{ 0xa00eecac, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xf0237642, "device_create" },
	{ 0x905b952b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xae7c6c4b, "seq_putc" },
	{ 0xaf2a6868, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa7f55561, "__nvme_submit_sync_cmd" },
	{ 0xccf3b9ea, "nvme_try_sched_reset" },
	{ 0xd91f97, "_dev_warn" },
	{ 0x8f49077e, "misc_register" },
	{ 0x7d3d9aa9, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x9662d839, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6cace53, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0xae40baf3, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x75129508, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa0145403, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xad37fd53, "seq_puts" },
	{ 0x9ed082b7, "single_release" },
	{ 0xe7445144, "nvme_wait_reset" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xbcf47102, "single_open" },
	{ 0x172ab287, "up_read" },
	{ 0x24dc6d55, "class_register" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x55ac9d7, "nvme_auth_negotiate" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "0477BCE7376D93EBFFDF668");
MODULE_INFO(rhelversion, "9.6");
