#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0598e28, "usb_kill_urb" },
	{ 0xadbca993, "usb_deregister" },
	{ 0xbe473479, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x61755da, "usb_stor_adjust_quirks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd91f97, "_dev_warn" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0xf26555f4, "usb_anchor_urb" },
	{ 0xeec94c2, "usb_submit_urb" },
	{ 0xe83744ce, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x28f4532, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa8a6fea8, "usb_kill_anchored_urbs" },
	{ 0xc66b042f, "scsi_remove_host" },
	{ 0xeac1a3ce, "scsi_host_put" },
	{ 0xa699d0d7, "usb_lock_device_for_reset" },
	{ 0xae40baf3, "mutex_unlock" },
	{ 0xa0cf9cc1, "scsi_host_alloc" },
	{ 0xdb6976c9, "__init_waitqueue_head" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0x9fb69639, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x666a5676, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2691f44c, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff87f416, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x9157657c, "usb_set_interface" },
	{ 0xc25d97cd, "usb_reset_device" },
	{ 0xb272b5df, "usb_alloc_streams" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0xca329e5, "scsi_report_bus_reset" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0x9e769769, "scsi_unblock_requests" },
	{ 0x7c2aad48, "dev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x95549396, "usb_wait_anchor_empty_timeout" },
	{ 0xf25d48b9, "scsi_block_requests" },
	{ 0xbf8c8472, "scmd_printk" },
	{ 0xcbd947dc, "scsi_print_command" },
	{ 0xe9541c53, "usb_free_urb" },
	{ 0x5aaa5ea6, "scsi_scan_host" },
	{ 0xc96abf0a, "__dynamic_dev_dbg" },
	{ 0x4063081a, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3cc1c82f, "sdev_prefix_printk" },
	{ 0xc13e911d, "scsi_change_queue_depth" },
	{ 0x30c3fdc0, "scsi_is_host_device" },
	{ 0x68e679ae, "usb_get_urb" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "554F459E1D1A8FE1711DC4A");
MODULE_INFO(rhelversion, "9.6");
