#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x324e7145, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x7a4e5a0f, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x6405d716, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x1c87eadc, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x3e7fdc85, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x730df97e, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x88402aa8, "_gpl");
SYMBOL_CRC(ucsi_create, 0x7ffcedcf, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0xf3e22341, "_gpl");
SYMBOL_CRC(ucsi_register, 0x17c1da33, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x86171204, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0xf6f88e4c, "typec_partner_set_pd_revision" },
	{ 0xaef800cc, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x191d61b1, "typec_register_partner" },
	{ 0xf0c93c5f, "typec_port_set_usb_power_delivery" },
	{ 0x4e11bf36, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa4477ad1, "typec_port_register_altmode" },
	{ 0x97506cb8, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9d46ba1, "trace_raw_output_prep" },
	{ 0x4ad6198f, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0xc1a0581, "trace_event_printf" },
	{ 0xffa7e0c6, "trace_event_raw_init" },
	{ 0x74c99bf1, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0x9d02c767, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x10d9a1c1, "bpf_trace_run2" },
	{ 0xdcb500f2, "event_triggers_call" },
	{ 0x70bf1ffb, "typec_set_mode" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc96abf0a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x716d3065, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x31f1dc8f, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb456929c, "trace_event_ignore_this_pid" },
	{ 0xfdf73816, "typec_partner_register_altmode" },
	{ 0x28fce7d8, "typec_partner_set_num_altmodes" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x96ce3de4, "typec_unregister_partner" },
	{ 0x56a80a01, "typec_set_pwr_opmode" },
	{ 0x114084de, "typec_cable_set_identity" },
	{ 0xd3743d22, "debugfs_attr_read" },
	{ 0xcee7d0b2, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe7d92055, "perf_trace_run_bpf_submit" },
	{ 0x4063081a, "_dev_err" },
	{ 0x735c5943, "typec_altmode_update_active" },
	{ 0x9f346428, "device_property_read_u8_array" },
	{ 0xebe2e3bb, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xc4461843, "usb_power_delivery_register_capabilities" },
	{ 0x26e2c33, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x905b952b, "mutex_lock" },
	{ 0x57a5145e, "debugfs_remove" },
	{ 0x19b9b33c, "usb_power_delivery_unregister" },
	{ 0x9e0d4b95, "trace_event_reg" },
	{ 0xfc126419, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc946574d, "typec_unregister_port" },
	{ 0xf2a70b, "power_supply_get_drvdata" },
	{ 0xd91f97, "_dev_warn" },
	{ 0xb0e9451b, "typec_register_port" },
	{ 0x9d8da5ae, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9f57670, "typec_partner_set_usb_power_delivery" },
	{ 0x3479041, "power_supply_changed" },
	{ 0xa95cbe4e, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa645c03a, "typec_plug_register_altmode" },
	{ 0x742a785a, "devm_kasprintf" },
	{ 0x6cace53, "seq_read" },
	{ 0x1955b9d, "debugfs_create_file" },
	{ 0xca848826, "trace_event_buffer_reserve" },
	{ 0xae40baf3, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x1008e362, "typec_unregister_altmode" },
	{ 0x118e2b32, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa0145403, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc3434f9d, "usb_power_delivery_unregister_capabilities" },
	{ 0x2a55493b, "typec_get_drvdata" },
	{ 0x2e3e42c9, "typec_partner_set_identity" },
	{ 0x6e752e16, "power_supply_unregister" },
	{ 0x9ed082b7, "single_release" },
	{ 0xa79c583d, "typec_set_pwr_role" },
	{ 0xcebc652b, "typec_partner_usb_power_delivery_register" },
	{ 0x548cc9fa, "dev_err_probe" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0x44a8da1b, "usb_debug_root" },
	{ 0x73c8aab7, "fwnode_handle_put" },
	{ 0xa60c5415, "device_get_next_child_node" },
	{ 0xbcf47102, "single_open" },
	{ 0x21e9246c, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x38b1d14c, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5ea3ea4, "__dev_fwnode" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DBC2F676B010BB3E71E91FE");
MODULE_INFO(rhelversion, "9.6");
