#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x611aed2c, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x5b05cc59, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xb8452049, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xf0529852, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x2a47ff13, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x050fb01c, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xe4a8fda8, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xdff4cd53, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x231bae03, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x8e3e7f55, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x9899db2f, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xfcece864, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0xe24dff44, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x24432023, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x4ac424fe, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0xd883785b, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xc700f423, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x931bd384, "");
SYMBOL_CRC(vhost_chr_poll, 0x5a81f9a4, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x532c0231, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xf9bfa9cf, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xe919beb5, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xee8b210f, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x858e8ef8, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x431e9794, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x0d4968cc, "_gpl");
SYMBOL_CRC(vhost_log_write, 0xcc757e30, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x0ace8617, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0xf0a9cc5e, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x5a3a9616, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xb02b7cc1, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x4751f490, "_gpl");
SYMBOL_CRC(vhost_signal, 0x5d4a5149, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x466e553e, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0xc9d77057, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x1b53b359, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x8b42487a, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x2f815617, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x333a9262, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0xeeee246d, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x019c6027, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x69a02452, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1523bc8b, "add_wait_queue" },
	{ 0x9179ec3a, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0x778ae09c, "cgroup_attach_task_all" },
	{ 0xe84bb107, "mmput" },
	{ 0x7d5ef25b, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0x905b952b, "mutex_lock" },
	{ 0xae40baf3, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0x96173c99, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x1d0da7a0, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x50fba25c, "unpin_user_pages_dirty_lock" },
	{ 0x2804854c, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x62bbe49c, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1000e51, "schedule" },
	{ 0x4967b0, "kthread_unuse_mm" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x64f551e9, "fput" },
	{ 0xaa7439cf, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x30bc1089, "iov_iter_init" },
	{ 0xe9256f9b, "_copy_from_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x24d56e27, "iov_iter_revert" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x438ea330, "_copy_to_iter" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0x38b1d14c, "__mutex_rt_init" },
	{ 0xdb6976c9, "__init_waitqueue_head" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x40ae8991, "prepare_to_wait" },
	{ 0xce6df76, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x805fd827, "get_task_mm" },
	{ 0x36672982, "kthread_create_on_node" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x5997249d, "iov_iter_advance" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbdcabe5d, "eventfd_fget" },
	{ 0x8f0402f3, "param_ops_int" },
	{ 0x2381479c, "param_ops_ushort" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.6");
