#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x35a95044, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x237fb02c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xe0525d7c, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x7da4ab5b, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x90a5e780, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xaa467ea1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xcdca3af4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x51881a2c, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xb6a5fa00, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x53bba390, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xb9e4ba34, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x8bd36209, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x522cd698, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xfd560ece, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x322220d1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x7f519ee8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x6a792c35, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x9f7d89a7, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x1ef08945, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xb4a20df7, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x0728bc02, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe7d92055, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xca848826, "trace_event_buffer_reserve" },
	{ 0x716d3065, "trace_event_buffer_commit" },
	{ 0xdcb500f2, "event_triggers_call" },
	{ 0xb456929c, "trace_event_ignore_this_pid" },
	{ 0xa9d46ba1, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0xc1a0581, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xecc83af, "bpf_trace_run1" },
	{ 0x10d9a1c1, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0xb5ff475b, "udp_sock_create6" },
	{ 0xe7b5d3b9, "kernel_sock_shutdown" },
	{ 0x15ff3b51, "sock_release" },
	{ 0x4a0fa3d4, "sock_create_kern" },
	{ 0xcd2ae0a2, "kernel_bind" },
	{ 0x4fd2f075, "kernel_connect" },
	{ 0x84ecf373, "udp_sock_create4" },
	{ 0x7b27b980, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x2d12bc99, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0x4cf38166, "idr_remove" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xafb4e45e, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3573e92, "idr_get_next_ul" },
	{ 0x51c96303, "rt_write_lock" },
	{ 0xcafdb630, "rt_write_unlock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x48aceaed, "sk_skb_reason_drop" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x3c406118, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x56669950, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x81076865, "skb_queue_tail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd726af96, "rt_read_lock" },
	{ 0x5419c01b, "rt_read_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe8151f9, "ip_queue_xmit" },
	{ 0x25cce7be, "pskb_expand_head" },
	{ 0xe2352890, "udp_set_csum" },
	{ 0x31b6f4e9, "inet6_csk_xmit" },
	{ 0x63171512, "udp6_set_csum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x22ff94dc, "dst_release" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe7a53427, "idr_destroy" },
	{ 0x252e534e, "idr_alloc_u32" },
	{ 0x45564f69, "sockfd_lookup" },
	{ 0x88255cc9, "lock_sock_nested" },
	{ 0xf5bbec2b, "release_sock" },
	{ 0xd60db4a7, "idr_replace" },
	{ 0x64f551e9, "fput" },
	{ 0xa75d3ac, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9c5f2f71, "__pskb_pull_tail" },
	{ 0x9e0d4b95, "trace_event_reg" },
	{ 0xffa7e0c6, "trace_event_raw_init" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel,ipv6");


MODULE_INFO(srcversion, "AD5370426481A2B1381957D");
MODULE_INFO(rhelversion, "9.6");
