#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x07e992a5, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x5ae800fe, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xceff87c5, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x628e5511, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x6fc2e111, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xbb16707c, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0xd3b30d85, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x91ba88f2, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x08ce9972, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x773741dd, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xf4d34497, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x27a2c9a0, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x45b4a2ce, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x04620062, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x9c5afec7, "device_property_present" },
	{ 0x2a9d507f, "regcache_cache_only" },
	{ 0xb9577326, "regcache_sync" },
	{ 0x70be9361, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5dafe87b, "snd_soc_jack_report" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0xdc5d7f21, "gpiod_set_value_cansleep" },
	{ 0x3c335054, "snd_pcm_hw_constraint_minmax" },
	{ 0x8af1eebb, "regcache_sync_region" },
	{ 0x7f48de38, "snd_soc_put_enum_double" },
	{ 0x43006b3f, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb021ec51, "devm_gpiod_get_optional" },
	{ 0xc96abf0a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa7c5d0e6, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcdbe01fc, "device_property_read_u32_array" },
	{ 0x4a3f6ffe, "snd_soc_get_enum_double" },
	{ 0x70da64a2, "_dev_info" },
	{ 0x4bbd2725, "snd_soc_info_volsw" },
	{ 0x8c98db16, "regcache_drop_region" },
	{ 0x4063081a, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x905b952b, "mutex_lock" },
	{ 0xd91f97, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3f49a64c, "snd_soc_info_enum_double" },
	{ 0xdee63495, "snd_soc_get_volsw" },
	{ 0x116341ce, "regmap_read" },
	{ 0xce32f419, "snd_soc_put_volsw" },
	{ 0x416878b6, "snd_soc_component_update_bits" },
	{ 0x968a6540, "__pm_runtime_resume" },
	{ 0xae40baf3, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa99ee754, "regmap_bulk_read" },
	{ 0x6a73456e, "regmap_update_bits_base" },
	{ 0x548cc9fa, "dev_err_probe" },
	{ 0xb562447f, "regmap_multi_reg_write" },
	{ 0x5240f2f9, "__pm_runtime_suspend" },
	{ 0x38b1d14c, "__mutex_rt_init" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "0CFCC13CFCF1A0369B62361");
MODULE_INFO(rhelversion, "9.6");
