#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x6132d9cf, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x8be376ea, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x43834020, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x4bbe1f9c, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0x0cf5c731, "");
SYMBOL_CRC(drm_atomic_state_init, 0x1c924855, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xf84210e0, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x07add7b4, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x1343da3f, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x0d71af57, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x9a6f7c68, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0xc4a03f95, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x36c13049, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0xad93dcbc, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x93f21198, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0x1283538f, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x68b76ffd, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xe9c62dea, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x0ba28c4e, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x01f0245c, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x73385458, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xae484d22, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x14f57607, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xe74655e7, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xfea31b65, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x2f01e294, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xce6301fb, "");
SYMBOL_CRC(drm_atomic_check_only, 0x622668b2, "");
SYMBOL_CRC(drm_atomic_commit, 0xf43a7a06, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x502b1b69, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x3a5d8103, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0xb7975881, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x2df36178, "");
SYMBOL_CRC(drm_state_dump, 0x1c5848ae, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x3d56abac, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0xbd0349b7, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xebc22b8b, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0xe6b3f918, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x749937f8, "");
SYMBOL_CRC(drm_is_current_master, 0x6df08722, "");
SYMBOL_CRC(drm_master_get, 0x72fda14c, "");
SYMBOL_CRC(drm_file_get_master, 0x5f7e03fc, "");
SYMBOL_CRC(drm_master_put, 0x15b1c766, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x6cdde024, "");
SYMBOL_CRC(drm_master_internal_release, 0xb1449fdb, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xcf2f6085, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xb3f85340, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x213b0489, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x628c1add, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xf983ee47, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0xcaadd03c, "");
SYMBOL_CRC(drm_bridge_add, 0xee52199d, "");
SYMBOL_CRC(devm_drm_bridge_add, 0xdba6123c, "");
SYMBOL_CRC(drm_bridge_remove, 0x9d88e788, "");
SYMBOL_CRC(drm_bridge_attach, 0x4d385215, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0x976bfb46, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x93054665, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x2b40ed6d, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x4b03bee1, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x45319056, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xf7794a7f, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0xe6cc63f0, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xd75e1ba2, "");
SYMBOL_CRC(drm_bridge_detect, 0xbd1afbaf, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xbc361aa7, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xe3b610f2, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x143fe848, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x3f7d48f0, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x818cf3e5, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0xf5a9da05, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x6fb695f3, "");
SYMBOL_CRC(drm_client_register, 0x9aec7018, "");
SYMBOL_CRC(drm_client_release, 0x7f3f2ea9, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x1598af26, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x9acf5691, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0xe8e69f7e, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x2c332ef1, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x345276b5, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x4d7839e9, "");
SYMBOL_CRC(drm_client_modeset_probe, 0xe430d0fb, "");
SYMBOL_CRC(drm_client_rotation, 0x98ab0786, "");
SYMBOL_CRC(drm_client_modeset_check, 0x603cbe10, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0xa626c171, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x0241b2b0, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x8a43289e, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x30427144, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xb5b027cd, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0xdc27d60f, "");
SYMBOL_CRC(drm_color_lut_check, 0x8620fa0b, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x6772a855, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0xc620a050, "");
SYMBOL_CRC(drmm_connector_init, 0xc8bb91ea, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xd6088c9d, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xf77d3c2b, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0xc6fcf258, "");
SYMBOL_CRC(drm_connector_cleanup, 0x075cbe24, "");
SYMBOL_CRC(drm_connector_register, 0x24763f7b, "");
SYMBOL_CRC(drm_connector_unregister, 0x73fb8738, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x27e2ffba, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x739dedd5, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x168c4a44, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xdd15400f, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x99f008bb, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x4d02f1e7, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x9ad14714, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x8d98ebb1, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xb0665de2, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x113fb8d6, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0xba584149, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x2bb5ab6d, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0xf9ebac42, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0xb5b924d3, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x62ddf3fa, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x7213c4fa, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0xc57037d9, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x3b50ee74, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x5975b251, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x325b9d3f, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xa532e56e, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x819c9c12, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x49f9c940, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x04274820, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xba40d867, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0xfa4e7eb9, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0xab74b6cf, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x566a9606, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x5d4eaccc, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x7078403b, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x4356a53c, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x2de113d4, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0xd6344fe9, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xbf96d672, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x4394c5fa, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0xce6bb1a7, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x9257018d, "");
SYMBOL_CRC(drm_crtc_from_index, 0x072bec74, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x75808c1f, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0xdc131939, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0xd87e880f, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x64b56c04, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x1df2dfdb, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x47dc6658, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x125ab848, "");
SYMBOL_CRC(drm_put_dev, 0x380eeade, "");
SYMBOL_CRC(drm_dev_enter, 0x9be51ff0, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x9de460fe, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x8e201aaf, "");
SYMBOL_CRC(drm_dev_alloc, 0xa56c8476, "");
SYMBOL_CRC(drm_dev_get, 0xcb1ea012, "");
SYMBOL_CRC(drm_dev_put, 0x52434050, "");
SYMBOL_CRC(drm_dev_register, 0x72476117, "");
SYMBOL_CRC(drm_dev_unregister, 0xba59ddd5, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x944bbdae, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0xa6b32156, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x712729c4, "");
SYMBOL_CRC(drm_do_get_edid, 0xee29d05f, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x5f3e2dd3, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xcfffad36, "");
SYMBOL_CRC(drm_get_edid, 0xd67d399e, "");
SYMBOL_CRC(drm_edid_read_custom, 0x759e8a12, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xe337a393, "");
SYMBOL_CRC(drm_edid_read, 0x769823de, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0x92d34252, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x8d96b7e4, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x5293e4cc, "");
SYMBOL_CRC(drm_edid_duplicate, 0x57e6f878, "");
SYMBOL_CRC(drm_mode_find_dmt, 0xf1132ea8, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x1849e8e8, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x08618e5a, "");
SYMBOL_CRC(drm_edid_to_sad, 0x755623d5, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3022c924, "");
SYMBOL_CRC(drm_av_sync_delay, 0x8e2a57ac, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa51708dc, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0x946f25f1, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xc1ffa12b, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x8a8a9fd0, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xcf40dae8, "");
SYMBOL_CRC(drm_add_edid_modes, 0x761ebaf5, "");
SYMBOL_CRC(drm_add_modes_noedid, 0xa9277be1, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x34a6a66a, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x53a41cad, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x77bef60a, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0xf5f75d5e, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x6aef7ca7, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x226b39fb, "");
SYMBOL_CRC(drmm_encoder_init, 0xc452b472, "");
SYMBOL_CRC(drm_open, 0x833457d8, "");
SYMBOL_CRC(drm_release, 0xddcfbb39, "");
SYMBOL_CRC(drm_release_noglobal, 0xc9e77427, "");
SYMBOL_CRC(drm_read, 0x42a2462c, "");
SYMBOL_CRC(drm_poll, 0x23a07ed1, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x7b493b3b, "");
SYMBOL_CRC(drm_event_reserve_init, 0x6a6e3525, "");
SYMBOL_CRC(drm_event_cancel_free, 0x5ae47b94, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x9c7f2138, "");
SYMBOL_CRC(drm_send_event_locked, 0x3f8b55ec, "");
SYMBOL_CRC(drm_send_event, 0x374dec50, "");
SYMBOL_CRC(drm_print_memory_stats, 0xb9393302, "");
SYMBOL_CRC(drm_show_memory_stats, 0x35c17ee3, "");
SYMBOL_CRC(drm_show_fdinfo, 0xd7ad78d4, "");
SYMBOL_CRC(mock_drm_getfile, 0x71e83753, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x119be6c1, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x1cdef04f, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x593b42e6, "");
SYMBOL_CRC(drm_framebuffer_init, 0x44a0eb3b, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xfc870572, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0xccbaca79, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xdcfc439a, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x96bba344, "");
SYMBOL_CRC(drm_gem_object_init, 0xb04cc54f, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xbe3f6316, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x0af6604b, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x54533a5b, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0xccd66c25, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x13b15c6d, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0xadbcebbf, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x310aebee, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x59b27393, "");
SYMBOL_CRC(drm_gem_get_pages, 0xe8d47b3c, "");
SYMBOL_CRC(drm_gem_put_pages, 0xb46ec6bc, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x1dd31a18, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xb5fe9585, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0xc3be70fb, "");
SYMBOL_CRC(drm_gem_object_release, 0xe152c554, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x021de5fc, "");
SYMBOL_CRC(drm_gem_vm_close, 0x3d6419d3, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x3f018da2, "");
SYMBOL_CRC(drm_gem_mmap, 0xebf11f79, "");
SYMBOL_CRC(drm_gem_vmap, 0x03e8a787, "");
SYMBOL_CRC(drm_gem_vunmap, 0x5b49136d, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x6393a2b2, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x9f3623da, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xabbb6c9e, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x00111100, "");
SYMBOL_CRC(drm_gem_lru_init, 0x1f17a083, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x331ef1f9, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xcaeb26da, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x369f5b14, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xd423c26d, "");
SYMBOL_CRC(drm_gem_evict, 0x8509c687, "");
SYMBOL_CRC(drm_noop, 0x91ecb207, "");
SYMBOL_CRC(drm_invalid_op, 0xbd1b0e08, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x0994d027, "");
SYMBOL_CRC(drm_ioctl, 0xfebf3225, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x3e6a5e0f, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0xce86fd7e, "");
SYMBOL_CRC(drmm_release_action, 0x10e7eb4d, "");
SYMBOL_CRC(drmm_kmalloc, 0xa63feb05, "");
SYMBOL_CRC(drmm_kstrdup, 0x61dbac38, "_gpl");
SYMBOL_CRC(drmm_kfree, 0xedb5a2fd, "");
SYMBOL_CRC(__drmm_mutex_release, 0x50b9751c, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x07e00176, "");
SYMBOL_CRC(drm_mode_config_reset, 0xf595c8d2, "");
SYMBOL_CRC(drmm_mode_config_init, 0x5f87c871, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0xcf4afdf6, "");
SYMBOL_CRC(drm_mode_object_find, 0xebd711d8, "");
SYMBOL_CRC(drm_mode_object_put, 0xe43dcdbd, "");
SYMBOL_CRC(drm_mode_object_get, 0xd0e48b11, "");
SYMBOL_CRC(drm_object_attach_property, 0xaf55265c, "");
SYMBOL_CRC(drm_object_property_set_value, 0x77833396, "");
SYMBOL_CRC(drm_object_property_get_value, 0x6e36d30f, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xf761a30d, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x820a1266, "");
SYMBOL_CRC(drm_mode_destroy, 0x271e00a9, "");
SYMBOL_CRC(drm_mode_probed_add, 0xab93a45d, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x09df1bdb, "");
SYMBOL_CRC(drm_cvt_mode, 0xb0daceaf, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xbe2efdcd, "");
SYMBOL_CRC(drm_gtf_mode, 0x48da187e, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0xf1fa1597, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x0d105cd2, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xb74556e0, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x47c201b0, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x4b09bfae, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x70929f85, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x1e006025, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x47029c5a, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xc046467b, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x5c5fe201, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0xc3e6034b, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0xd3f42bee, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x74bd7c36, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x64024212, "");
SYMBOL_CRC(drm_modeset_backoff, 0x4f2b86de, "");
SYMBOL_CRC(drm_modeset_lock_init, 0xd84dd72d, "");
SYMBOL_CRC(drm_modeset_lock, 0x07e5d3fc, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x8d4c5dc4, "");
SYMBOL_CRC(drm_modeset_unlock, 0xad710b5b, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x089e60bc, "");
SYMBOL_CRC(drm_universal_plane_init, 0xd61057cc, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x6f405d67, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x9de60c91, "");
SYMBOL_CRC(drm_plane_cleanup, 0x536bd491, "");
SYMBOL_CRC(drm_plane_from_index, 0x3cb6fce7, "");
SYMBOL_CRC(drm_plane_force_disable, 0xd55874ac, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x1fdaa796, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x72618c85, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0xc4d66ba0, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x07755928, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x0f8d55da, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0xe927f871, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x55bd1c3d, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x628d725f, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x615369c3, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0xee8216c2, "");
SYMBOL_CRC(drm_gem_map_attach, 0x938c40e1, "");
SYMBOL_CRC(drm_gem_map_detach, 0xad59a17c, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x9c81d3d3, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xd9ae2304, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0xf204e493, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x1f88f41e, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x6cc43e59, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x484ae920, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0xfeaee09d, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x03aeeb83, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x581235f4, "");
SYMBOL_CRC(drm_gem_prime_import, 0x9fe60026, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x533c8540, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x5fbd8cc9, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x114c1ccc, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xdddcbca6, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x65b962a9, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x21475af8, "");
SYMBOL_CRC(__drm_printfn_info, 0x470cac07, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x1ab5d60a, "");
SYMBOL_CRC(__drm_printfn_err, 0x8c7724de, "");
SYMBOL_CRC(drm_puts, 0x4d8b5a5b, "");
SYMBOL_CRC(drm_printf, 0xd2d42a9f, "");
SYMBOL_CRC(drm_print_bits, 0x2d8c3645, "");
SYMBOL_CRC(drm_dev_printk, 0xf7936cc4, "");
SYMBOL_CRC(__drm_dev_dbg, 0xd7198299, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0xc2eeb4a7, "");
SYMBOL_CRC(drm_property_create, 0x8d4d3f37, "");
SYMBOL_CRC(drm_property_create_enum, 0x95280e71, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x36d15e04, "");
SYMBOL_CRC(drm_property_create_range, 0x83451900, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x53cecbb1, "");
SYMBOL_CRC(drm_property_create_object, 0xc363055e, "");
SYMBOL_CRC(drm_property_create_bool, 0x865430e1, "");
SYMBOL_CRC(drm_property_add_enum, 0xbaa5d0ab, "");
SYMBOL_CRC(drm_property_destroy, 0x989c1dd8, "");
SYMBOL_CRC(drm_property_create_blob, 0xf07bb041, "");
SYMBOL_CRC(drm_property_blob_put, 0x3bb7ddea, "");
SYMBOL_CRC(drm_property_blob_get, 0xbaada8ea, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x1a510930, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x204d29fb, "");
SYMBOL_CRC(drm_property_replace_blob, 0xad1d1e2d, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x640fea0e, "");
SYMBOL_CRC(drm_syncobj_find, 0x54416c6e, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x4a572864, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xe97f3ce4, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x58f5d460, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xb8eb2159, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0xd1809d13, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0xea53d2cf, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x4b26b4c2, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xca5ea079, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x060f5ec7, "");
SYMBOL_CRC(drm_class_device_register, 0xf9cb930a, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x15f8ad65, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x23e68992, "");
SYMBOL_CRC(drm_vblank_init, 0x49775a2b, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xc9edf78d, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0xe10eaefd, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x672f7594, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x887baf3a, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x79b95c3d, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x4d344017, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xeeb6ba53, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x7117367f, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x200e4ac6, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x3d555bc2, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x3c940ad6, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0xca09d5e9, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x5447ba30, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x1d63de90, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x645fb3a5, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x6de58d5c, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0xaa262f7e, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xe8f03141, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0xbb62bc6e, "");
SYMBOL_CRC(drm_handle_vblank, 0x8607c680, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x614297c8, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x821b9501, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x42f356d9, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x40f523a6, "");
SYMBOL_CRC(drm_vblank_work_init, 0xfd7f72ea, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0xa37acc5a, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x9a5ecef4, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0x62afcd3a, "");
SYMBOL_CRC(drm_vma_offset_add, 0xe9ddf3e8, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x8e8170c1, "");
SYMBOL_CRC(drm_vma_node_allow, 0x1c904e57, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0xf8f37914, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x90829039, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0xcf561442, "");
SYMBOL_CRC(drm_writeback_connector_init, 0xd699708f, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0xfdf7da6f, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x8eeff9d3, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x20455ca4, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xd3724c96, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x89cddd64, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0xa2006b63, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0x0c44cf63, "");
SYMBOL_CRC(drm_panel_init, 0xa7cc8819, "");
SYMBOL_CRC(drm_panel_add, 0xff0f4373, "");
SYMBOL_CRC(drm_panel_remove, 0x9e6d996a, "");
SYMBOL_CRC(drm_panel_prepare, 0xbc7f6491, "");
SYMBOL_CRC(drm_panel_unprepare, 0xf7b471c0, "");
SYMBOL_CRC(drm_panel_enable, 0x717c3739, "");
SYMBOL_CRC(drm_panel_disable, 0x72e6e4de, "");
SYMBOL_CRC(drm_panel_get_modes, 0xa76585ea, "");
SYMBOL_CRC(drm_is_panel_follower, 0x92f17fa4, "");
SYMBOL_CRC(drm_panel_add_follower, 0x5dca871f, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x6091feea, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x9ef14235, "");
SYMBOL_CRC(drm_panel_of_backlight, 0xc921d477, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x1398a8e0, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x2d0032f4, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0xdbe19678, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x1cbef94f, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x248df650, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x29ef3457, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa9982f72, "ida_alloc_range" },
	{ 0xe6a37423, "try_module_get" },
	{ 0xf45f4599, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xef539400, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1f2f8d81, "alloc_anon_inode" },
	{ 0xc81cbc54, "show_class_attr_string" },
	{ 0x7684088f, "kthread_cancel_work_sync" },
	{ 0x676f2d0, "is_acpi_device_node" },
	{ 0x5087dddc, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x92013e1, "kthread_flush_work" },
	{ 0xd108aaea, "bpf_trace_run4" },
	{ 0x128d8ae1, "ida_destroy" },
	{ 0xafb4e45e, "idr_find" },
	{ 0x725c72d5, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1b7399bc, "shmem_read_folio_gfp" },
	{ 0x9bbfc735, "__folio_batch_release" },
	{ 0xff1747de, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa9d46ba1, "trace_raw_output_prep" },
	{ 0x145a334c, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x7f6dce89, "dma_resv_wait_timeout" },
	{ 0x32b13f5d, "device_unregister" },
	{ 0x8c8abcfe, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xe05e008e, "kthread_flush_worker" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0xce6df76, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x11a3f7bc, "request_firmware" },
	{ 0xbb06491c, "class_destroy" },
	{ 0xc1a0581, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xd60db4a7, "idr_replace" },
	{ 0x4d182fab, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x46052134, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xb83a1eca, "fd_install" },
	{ 0xc97dc8, "dma_fence_chain_ops" },
	{ 0xffa7e0c6, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x173a8c7, "component_del" },
	{ 0x8fa4be24, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9b8ec25, "iput" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0x9d02c767, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1ce39326, "prepare_to_wait_event" },
	{ 0xcf6313fc, "dma_buf_unmap_attachment_unlocked" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xdcb500f2, "event_triggers_call" },
	{ 0x96173c99, "__wake_up" },
	{ 0x27908a60, "dma_fence_add_callback" },
	{ 0x9737e101, "synchronize_srcu" },
	{ 0x8d1bcab6, "dma_fence_set_deadline" },
	{ 0x964ff0ee, "get_device" },
	{ 0x9f164970, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc31448a2, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x1d0da7a0, "wake_up_process" },
	{ 0x7c793820, "dev_driver_string" },
	{ 0x2b73da2f, "dma_buf_map_attachment_unlocked" },
	{ 0x716d3065, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0xb8c1ec64, "ww_mutex_trylock" },
	{ 0x3317163c, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xbb3577bd, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5f125633, "dma_max_mapping_size" },
	{ 0x22dc0c25, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xb456929c, "trace_event_ignore_this_pid" },
	{ 0x44f98fef, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x40ef02ae, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdca08249, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x72b92ce2, "dma_fence_remove_callback" },
	{ 0xcafdb630, "rt_write_unlock" },
	{ 0x70da64a2, "_dev_info" },
	{ 0xf68ea735, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf6a04189, "atomic_dec_and_mutex_lock" },
	{ 0x9e80d4bc, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc4bf5589, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4cf38166, "idr_remove" },
	{ 0x8782fa4b, "dma_fence_chain_walk" },
	{ 0x6494525d, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc45e5f81, "__task_pid_nr_ns" },
	{ 0x299a2c0b, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x8f654876, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb2fbf501, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe7d92055, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x64f551e9, "fput" },
	{ 0x8c563a4d, "down_write" },
	{ 0x4063081a, "_dev_err" },
	{ 0xa00eecac, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x91a20a0b, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xa8d027ec, "sysfs_remove_link" },
	{ 0x28c57410, "idr_alloc" },
	{ 0xd3bb4216, "pid_task" },
	{ 0x2012ed43, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xd4592698, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x2223f70, "noop_llseek" },
	{ 0xe20745a3, "dma_fence_signal" },
	{ 0x2b16e4d2, "folio_mark_accessed" },
	{ 0x36183491, "dma_resv_fini" },
	{ 0x5d0e4ac6, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x905b952b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc806f9e5, "dma_buf_get" },
	{ 0x57a5145e, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x1cc74534, "aperture_remove_conflicting_pci_devices" },
	{ 0x7470d2e1, "ww_mutex_lock" },
	{ 0x9e0d4b95, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbd038c59, "dma_buf_put" },
	{ 0xe3c02839, "ida_free" },
	{ 0x2e0a4932, "dma_buf_fd" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3d38c53f, "dma_fence_init" },
	{ 0x8842585, "mutex_lock_interruptible" },
	{ 0x40f942a0, "device_register" },
	{ 0x94adc14f, "device_del" },
	{ 0xe7a53427, "idr_destroy" },
	{ 0x2f2765d0, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0xd91f97, "_dev_warn" },
	{ 0xf5db05b7, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdb6976c9, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0x26bc8967, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2a921fe0, "devm_aperture_acquire_for_platform_device" },
	{ 0x8a435d75, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb075d736, "check_move_unevictable_folios" },
	{ 0xf0e49031, "bpf_trace_run3" },
	{ 0x6cace53, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0xb9d61c0a, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd726af96, "rt_read_lock" },
	{ 0x1955b9d, "debugfs_create_file" },
	{ 0xca848826, "trace_event_buffer_reserve" },
	{ 0xa434c11, "dma_map_sgtable" },
	{ 0x50bb064b, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0xae40baf3, "mutex_unlock" },
	{ 0xc1f7711f, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x1e282e52, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44dc63c5, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0xb1493946, "seq_write" },
	{ 0x5419c01b, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x1fda964, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa44e7c01, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa0145403, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x34ddb1b5, "__rt_mutex_init" },
	{ 0x3dfd3ac1, "__srcu_read_unlock" },
	{ 0x51c96303, "rt_write_lock" },
	{ 0xecf3916b, "i2c_transfer" },
	{ 0xfc8836c0, "dma_fence_allocate_private_stub" },
	{ 0x9c207966, "dma_buf_detach" },
	{ 0x2140ec50, "dma_fence_signal_timestamp" },
	{ 0x63e885e9, "dma_fence_chain_init" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0xad37fd53, "seq_puts" },
	{ 0x9ed082b7, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7c2aad48, "dev_printk" },
	{ 0x3665dc00, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x7e389859, "sched_set_fifo" },
	{ 0x5259eacd, "simple_release_fs" },
	{ 0xa1838598, "dma_unmap_sg_attrs" },
	{ 0xf5a23a75, "kill_anon_super" },
	{ 0xa4e83b62, "from_kuid_munged" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x79c49f50, "__devm_add_action" },
	{ 0xdced2d81, "component_add" },
	{ 0x99babda8, "dma_resv_test_signaled" },
	{ 0x73c8aab7, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x464c7fb5, "dma_fence_chain_find_seqno" },
	{ 0x8f0402f3, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcf47102, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x21e9246c, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xde41012, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x38b1d14c, "__mutex_rt_init" },
	{ 0xce3baeda, "put_pid" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5ea3ea4, "__dev_fwnode" },
	{ 0x312be5a, "pci_bus_type" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0x6b5b922b, "class_remove_file_ns" },
	{ 0x4293ef70, "simple_pin_fs" },
	{ 0x4671ba7b, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "8E268A5EEF2B081A790A7B5");
MODULE_INFO(rhelversion, "9.6");
