#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x1ce7de9a, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xb3336841, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x811ba4ad, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x18c5408e, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x2633b0ce, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xcc183bbf, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x4fca07d1, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xc953fd8a, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x80f93623, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x01a27c66, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xfc51cec5, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x54cca146, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xd11b30c0, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x6672d2c8, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x85aba511, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xdd7393d8, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x4959c22d, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x8c48acf8, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xdb1eaf9c, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xc8d831d9, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x6038c258, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf214047d, "mdiobus_write" },
	{ 0xfc357a77, "mdiobus_read" },
	{ 0x99187d24, "phy_write_mmd" },
	{ 0xc45ba7e, "phy_modify" },
	{ 0xad775ef1, "phy_trigger_machine" },
	{ 0xef326c37, "phy_error" },
	{ 0x1eacb4cf, "phy_modify_changed" },
	{ 0x3f019d4e, "genphy_update_link" },
	{ 0x7c48b1de, "genphy_read_lpa" },
	{ 0xe80b8346, "phy_resolve_aneg_pause" },
	{ 0x4a84db5, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4063081a, "_dev_err" },
	{ 0x409a1fa5, "phy_read_mmd" },
	{ 0xbad28045, "ethnl_cable_test_result_with_src" },
	{ 0xb870c59, "ethnl_cable_test_fault_length_with_src" },
	{ 0xa77802ba, "phy_modify_mmd" },
	{ 0x8134c1f5, "genphy_soft_reset" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
