#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0xc59d01bc, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x26d279a9, "");
SYMBOL_CRC(fscache_acquire_cache, 0x507a8ed8, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x8fbbdb2b, "");
SYMBOL_CRC(fscache_add_cache, 0x6362bf02, "");
SYMBOL_CRC(fscache_io_error, 0x85fc7dbc, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xe5d0c38b, "");
SYMBOL_CRC(fscache_end_cookie_access, 0xb53dc864, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x9722abd9, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x4735affb, "");
SYMBOL_CRC(fscache_caching_failed, 0x9adea9c8, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xf8623cc3, "");
SYMBOL_CRC(__fscache_use_cookie, 0x7ac03c9d, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x82ffe8a9, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xbd981448, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x6e2141fe, "");
SYMBOL_CRC(fscache_put_cookie, 0x0004d868, "");
SYMBOL_CRC(fscache_get_cookie, 0x7891e4a8, "");
SYMBOL_CRC(__fscache_invalidate, 0x69809243, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x0288ba40, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xcc2a6622, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x6ca672da, "");
SYMBOL_CRC(fscache_dirty_folio, 0xabd24ac3, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x92790bc3, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x2ddf1c2c, "");
SYMBOL_CRC(__fscache_resize_cookie, 0xe9141df9, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0xa8544dad, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0xdeb82b23, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0xed71642f, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0xe707266e, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0xfe868c5b, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x7931b634, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x01edfa6a, "");
SYMBOL_CRC(fscache_end_volume_access, 0xe27b1525, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xd1be2c13, "");
SYMBOL_CRC(fscache_put_volume, 0xb76b5ad6, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xede24d93, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x1a89219b, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd108aaea, "bpf_trace_run4" },
	{ 0x3af6942d, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9d46ba1, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0xce6df76, "finish_wait" },
	{ 0xc1a0581, "trace_event_printf" },
	{ 0xc3b8c553, "xas_find" },
	{ 0xffa7e0c6, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0x8f8127fe, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x10d9a1c1, "bpf_trace_run2" },
	{ 0x1ce39326, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xf5e0cc1f, "remove_proc_subtree" },
	{ 0xdcb500f2, "event_triggers_call" },
	{ 0x70744b1c, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x716d3065, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb456929c, "trace_event_ignore_this_pid" },
	{ 0xcafdb630, "rt_write_unlock" },
	{ 0x3b6c0406, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x3eeb5cf6, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe7d92055, "perf_trace_run_bpf_submit" },
	{ 0x8c563a4d, "down_write" },
	{ 0xa00eecac, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9263a8e9, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2bafeeff, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9e0d4b95, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xecc83af, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6ef6b133, "proc_mkdir" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66bc59a5, "folio_end_private_2" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9662d839, "down_read" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf0e49031, "bpf_trace_run3" },
	{ 0xd726af96, "rt_read_lock" },
	{ 0xca848826, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5419c01b, "rt_read_unlock" },
	{ 0xa7ae41a6, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa0145403, "seq_printf" },
	{ 0x51c96303, "rt_write_lock" },
	{ 0xe419a732, "filemap_dirty_folio" },
	{ 0xad37fd53, "seq_puts" },
	{ 0x8246f02, "iov_iter_xarray" },
	{ 0x4271888b, "proc_create_single_data" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x30a91ae1, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x172ab287, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0x583284e7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "371779224C6DFA510DA570B");
MODULE_INFO(rhelversion, "9.6");
