#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xf20946d8, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x1ebe82c8, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xef722b5b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x5ed4a63d, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x48809f86, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xd7e17f7a, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xf93734cb, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xb5026d54, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x84baf061, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xb5b26217, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x0cdde00d, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x298156ff, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x8f6eeec3, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x914f512d, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xa79e0a90, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x94703e5d, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xf25c4be8, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xfe7f206d, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x4a3ddd20, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x45965c3f, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x65b40e56, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x919c777b, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x96c9f162, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x80c25247, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x81564efb, "_gpl");
SYMBOL_CRC(print_tuple, 0xc87fd2fc, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x8f768b33, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xce18c026, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xef006235, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x3004aaad, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x7d475c24, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x42628c47, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x2881e2c0, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x925dd5a1, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x2031c924, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x21dd49ea, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x06c6a425, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x071fdf5d, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xb7338c46, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xf9dc93fa, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x753bc294, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x4f0c24f7, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xf6c9279c, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x13f21695, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xf6558702, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x00fa9a8d, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x8787dca9, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xe162cac8, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x686aee07, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x8d2d88fd, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xd3dd6be9, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x086e4118, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x5e653978, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x28c16011, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xb9eaa2da, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x4a23cc5a, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x25b33c90, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x3f7e6565, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x1c04ed51, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xa4949bc5, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x60c2a6c6, "_gpl");
SYMBOL_CRC(nf_confirm, 0x3558af9e, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x9eaf34ec, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x11181771, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x4b8917dd, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x53b9e42f, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x73f017aa, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xf104c6b1, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x469cc38a, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x885c3002, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xe5c2ff15, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xdb115ec3, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x483a2aad, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x1cd454a8, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x502d6ded, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xb666bdf1, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x27e20493, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x88b412f0, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xffdad0aa, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xea0c4a70, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xd1c079d0, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x5093a153, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x6b8f4d2b, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xbcacaaf7, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x2a1f9ffc, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xc5778e7e, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xaefdc3e8, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x7f9ac537, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x7dbeb60b, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xf65805d1, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x373beb49, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68576577, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe6a37423, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1b3b3817, "nf_defrag_ipv4_disable" },
	{ 0x3d3d4cab, "nf_ip6_checksum" },
	{ 0x60602950, "proc_dou8vec_minmax" },
	{ 0x11ed180, "skb_copy_bits" },
	{ 0x3af6942d, "param_ops_uint" },
	{ 0xc36ca615, "proc_dointvec_jiffies" },
	{ 0x557116c6, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe40d8c09, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0x177459a4, "nfct_btf_struct_access" },
	{ 0x226acc18, "param_set_uint" },
	{ 0xf05e9167, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x631b03a4, "nf_ct_frag6_gather" },
	{ 0x27c28aa0, "get_net_ns_by_id" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x70744b1c, "kmem_cache_create" },
	{ 0xc128b265, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3468f0e0, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x506ec060, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x4f284e5b, "nf_unregister_sockopt" },
	{ 0x569aa15f, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9afbcd4d, "make_kuid" },
	{ 0xaaf88612, "nf_defrag_ipv6_disable" },
	{ 0xecaefca3, "ipv6_skip_exthdr" },
	{ 0x8c99d62c, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x3b6c0406, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x9e80d4bc, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8faa7471, "nf_checksum" },
	{ 0x8076d0fe, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc5de2117, "init_net" },
	{ 0x1f83d400, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x48aceaed, "sk_skb_reason_drop" },
	{ 0x905b952b, "mutex_lock" },
	{ 0x2bafeeff, "kmem_cache_free" },
	{ 0xae7c6c4b, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x6d8b0678, "nf_checksum_partial" },
	{ 0x253f7268, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xcc85471, "nf_unregister_net_hooks" },
	{ 0x88255cc9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x65bc579, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x990876e3, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9b114767, "nf_log_packet" },
	{ 0x8ec8ac4a, "make_kgid" },
	{ 0xecb00cc5, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0x78f12c8b, "register_btf_kfunc_id_set" },
	{ 0x8b8ed0c3, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9662d839, "down_read" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0xc7d4c94, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x718b2bc5, "__skb_checksum" },
	{ 0xae40baf3, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xc02d2e48, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4e84720d, "param_ops_bool" },
	{ 0xa1b99590, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa7ae41a6, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa0145403, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x27c19709, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x6d5bdcf, "proc_dointvec" },
	{ 0xad37fd53, "seq_puts" },
	{ 0xb4405a40, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x821bb67a, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xbca9ab2, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xdb1af9c5, "pskb_trim_rcsum_slow" },
	{ 0x172ab287, "up_read" },
	{ 0x5a583b92, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x583284e7, "kmem_cache_destroy" },
	{ 0xf5bbec2b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "711B16A0039BE820C39888A");
MODULE_INFO(rhelversion, "9.6");
