#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xa9ff282b, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x661d51bc, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xc0d81309, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x8ce6c84c, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x727c9601, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x2c45a8ea, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x16e7ef73, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x6b5c159a, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x7d397514, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x9e15d5aa, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xc02ceb41, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0x506ec060, "register_pernet_subsys" },
	{ 0xa0145403, "seq_printf" },
	{ 0xad37fd53, "seq_puts" },
	{ 0x65bc579, "unregister_pernet_subsys" },
	{ 0x8c99d62c, "nf_register_net_hooks" },
	{ 0xcc85471, "nf_unregister_net_hooks" },
	{ 0x253f7268, "skb_ensure_writable" },
	{ 0xa1b99590, "inet_proto_csum_replace4" },
	{ 0x63785c5e, "ip_route_me_harder" },
	{ 0x6a7cc664, "ip_local_out" },
	{ 0x48aceaed, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0x155bd283, "nf_ipv6_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1a4b4c88, "xfrm_lookup" },
	{ 0xba9a07aa, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x11ed180, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa7ae41a6, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xd7e17f7a, "nf_ct_tmpl_alloc" },
	{ 0x73f017aa, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x3468f0e0, "proc_create_net_data" },
	{ 0xf93734cb, "nf_ct_tmpl_free" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xc70ea48e, "__alloc_skb" },
	{ 0x7acf2376, "skb_put" },
	{ 0xecaefca3, "ipv6_skip_exthdr" },
	{ 0xf104c6b1, "nf_ct_seqadj_init" },
	{ 0x9185846d, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "4F2F5B6C696A3F7E7689CE8");
MODULE_INFO(rhelversion, "9.6");
