#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x2df21ab8, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x9c691c91, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xf8dba6ed, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x580c2dd4, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x78a61581, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xd3731555, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73f017aa, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7662b4db, "nsh_pop" },
	{ 0x84baf061, "nf_conntrack_find_get" },
	{ 0x502d6ded, "nf_ct_set_timeout" },
	{ 0x862973b4, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0xe6a37423, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa3961524, "dev_fill_metadata_dst" },
	{ 0xd108aaea, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x7dbeb60b, "nf_ct_handle_fragments" },
	{ 0x169422df, "eth_mac_addr" },
	{ 0x7acf2376, "skb_put" },
	{ 0x2005d92b, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe51447d8, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9185846d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6b43ee98, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3d05542c, "skb_eth_pop" },
	{ 0xa9d46ba1, "trace_raw_output_prep" },
	{ 0xfb301642, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf6558702, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xc5778e7e, "nf_ct_helper" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0x6486d450, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xc1a0581, "trace_event_printf" },
	{ 0xf0f5939a, "rtnl_delete_link" },
	{ 0x66d30a92, "rtnl_link_register" },
	{ 0x2a1f9ffc, "nf_connlabels_put" },
	{ 0xe0eebc25, "genlmsg_put" },
	{ 0x834d4160, "___pskb_trim" },
	{ 0xffa7e0c6, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3f63725d, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x750351c1, "dev_set_promiscuity" },
	{ 0xb666bdf1, "nf_ct_destroy_timeout" },
	{ 0xaefdc3e8, "nf_ct_add_helper" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4f0c24f7, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xcb1145c, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7f9ac537, "nf_ct_skb_network_trim" },
	{ 0xdcb500f2, "event_triggers_call" },
	{ 0xa6b20df9, "unregister_netdevice_queue" },
	{ 0x70744b1c, "kmem_cache_create" },
	{ 0x18c2d64f, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0xf6d9ef4b, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa45e0dd, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x25cce7be, "pskb_expand_head" },
	{ 0xbd83cccd, "skb_csum_hwoffload_help" },
	{ 0x716d3065, "trace_event_buffer_commit" },
	{ 0x6b8f4d2b, "nf_connlabels_replace" },
	{ 0x3ab8acb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6203df12, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xbcacaaf7, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xf7c12a8a, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb456929c, "trace_event_ignore_this_pid" },
	{ 0xc7403a4b, "skb_eth_push" },
	{ 0x8966c49, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xc70ea48e, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3b6c0406, "kmem_cache_alloc" },
	{ 0x58e10677, "skb_mpls_pop" },
	{ 0x2317652b, "skb_vlan_pop" },
	{ 0x799309dd, "dst_init" },
	{ 0x9e80d4bc, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0xf12fecd0, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4f139c76, "rtnl_link_unregister" },
	{ 0xe7d92055, "perf_trace_run_bpf_submit" },
	{ 0xc5de2117, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x5f131a2c, "ipv6_stub" },
	{ 0xb43b1bc1, "skb_mpls_update_lse" },
	{ 0x58c4b85f, "skb_pull" },
	{ 0x704f4977, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x48aceaed, "sk_skb_reason_drop" },
	{ 0x8e32157e, "netlink_unicast" },
	{ 0x9263a8e9, "bpf_trace_run5" },
	{ 0x4e477cc9, "dev_get_by_index_rcu" },
	{ 0x905b952b, "mutex_lock" },
	{ 0x3d2d3b4, "skb_push" },
	{ 0x2bafeeff, "kmem_cache_free" },
	{ 0x74291229, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9e0d4b95, "trace_event_reg" },
	{ 0x253f7268, "skb_ensure_writable" },
	{ 0xc79b15c2, "free_netdev" },
	{ 0x86659332, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2d12bc99, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4950210, "ethtool_op_get_link" },
	{ 0x298156ff, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xf6c9279c, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9c5f2f71, "__pskb_pull_tail" },
	{ 0xb5026d54, "nf_ct_delete" },
	{ 0x457c1f8f, "nf_conncount_init" },
	{ 0x72e47527, "skb_vlan_push" },
	{ 0xba9f3b15, "dev_get_tstats64" },
	{ 0xe822fa96, "netif_rx" },
	{ 0xfb6aec37, "__netdev_alloc_skb" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0xd4b2d013, "netdev_master_upper_dev_link" },
	{ 0x8c58d63c, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9662d839, "down_read" },
	{ 0xeafa674e, "inet_proto_csum_replace16" },
	{ 0x1634dc3c, "skb_trim" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88413269, "skb_scrub_packet" },
	{ 0xffdad0aa, "nf_ct_deliver_cached_events" },
	{ 0x38fbf813, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x1ade60aa, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xc834295b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xca848826, "trace_event_buffer_reserve" },
	{ 0x718b2bc5, "__skb_checksum" },
	{ 0xae40baf3, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa1b99590, "inet_proto_csum_replace4" },
	{ 0xc63f78e0, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe8e4ea63, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb4acd6a, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2d804c49, "dev_get_by_name" },
	{ 0x2debc29b, "skb_clone" },
	{ 0xbaaf5ac5, "metadata_dst_alloc" },
	{ 0x22ff94dc, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc4ea9b3, "peernet2id_alloc" },
	{ 0x5ed4a63d, "nf_ct_get_tuplepr" },
	{ 0xed2f9fec, "netdev_rx_handler_register" },
	{ 0x3780f4b6, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xf5ed9cc6, "genl_unregister_family" },
	{ 0x5efa319d, "dev_disable_lro" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xa2eeed6b, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x61e5fb13, "genl_register_family" },
	{ 0xf93734cb, "nf_ct_tmpl_free" },
	{ 0xd3ce33d8, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2fe8141d, "__skb_gso_segment" },
	{ 0x172ab287, "up_read" },
	{ 0x60f698f7, "skb_mpls_push" },
	{ 0x7b27b980, "register_pernet_device" },
	{ 0x94703e5d, "nf_conntrack_in" },
	{ 0x5a583b92, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0xa857bd54, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x583284e7, "kmem_cache_destroy" },
	{ 0x213c9547, "__skb_vlan_pop" },
	{ 0xd7e17f7a, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5257a3ec, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "EAE177017CE23B26E274960");
MODULE_INFO(rhelversion, "9.6");
