#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x3f0af794, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xd3d7a665, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x8bd8dde3, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a70f3bc, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdc2e11bd, "sock_queue_rcv_skb_reason" },
	{ 0x5955effd, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd108aaea, "bpf_trace_run4" },
	{ 0x11ed180, "skb_copy_bits" },
	{ 0xb77e684f, "radix_tree_insert" },
	{ 0x7acf2376, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9185846d, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9d46ba1, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x81597619, "radix_tree_lookup" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0xc1a0581, "trace_event_printf" },
	{ 0xcd2ae0a2, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xffa7e0c6, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x43b67985, "__tracepoint_sk_data_ready" },
	{ 0xdcb500f2, "event_triggers_call" },
	{ 0x96173c99, "__wake_up" },
	{ 0xaf17c24, "__module_get" },
	{ 0xb13ad07b, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x183f20e4, "sk_error_report" },
	{ 0x64e353f2, "skb_queue_purge_reason" },
	{ 0x3250f9f3, "radix_tree_iter_delete" },
	{ 0x716d3065, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x785959aa, "proto_unregister" },
	{ 0x33268d81, "sock_register" },
	{ 0xec3febdb, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb456929c, "trace_event_ignore_this_pid" },
	{ 0xc70ea48e, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xcafdb630, "rt_write_unlock" },
	{ 0xb0b24abb, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9e80d4bc, "module_put" },
	{ 0x88f6dda0, "__xa_alloc" },
	{ 0xa2b4c249, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe7d92055, "perf_trace_run_bpf_submit" },
	{ 0xc5de2117, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9a2f7e0d, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x48aceaed, "sk_skb_reason_drop" },
	{ 0x74073c9b, "xa_load" },
	{ 0x67090b6d, "__SCK__tp_func_sk_data_ready" },
	{ 0xcfb3718, "kernel_getsockname" },
	{ 0x83b041c8, "do_wait_intr_irq" },
	{ 0x3c406118, "sk_free" },
	{ 0x50013bc7, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x905b952b, "mutex_lock" },
	{ 0x3d2d3b4, "skb_push" },
	{ 0x4b233863, "sock_no_listen" },
	{ 0x9e0d4b95, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x88255cc9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba259833, "skb_copy_datagram_iter" },
	{ 0x4c83379d, "sk_alloc" },
	{ 0xa147d0e3, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf66a415b, "sock_no_mmap" },
	{ 0xdb6976c9, "__init_waitqueue_head" },
	{ 0x195e754e, "sock_no_sendpage" },
	{ 0xfb6aec37, "__netdev_alloc_skb" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0x8b72faa1, "__xa_insert" },
	{ 0xcfe3815, "xa_erase" },
	{ 0xf0e49031, "bpf_trace_run3" },
	{ 0xd1fe4a9e, "skb_set_owner_w" },
	{ 0xca848826, "trace_event_buffer_reserve" },
	{ 0xae40baf3, "mutex_unlock" },
	{ 0x4a0fa3d4, "sock_create_kern" },
	{ 0xc535c413, "xa_find" },
	{ 0xf2a7974a, "skb_recv_datagram" },
	{ 0x4431d91a, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe4a0b9e4, "xa_store" },
	{ 0x2debc29b, "skb_clone" },
	{ 0x51c96303, "rt_write_lock" },
	{ 0xe9256f9b, "_copy_from_iter" },
	{ 0x15ff3b51, "sock_release" },
	{ 0x8e2d6d5a, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5d5646fb, "xa_find_after" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x24d56e27, "iov_iter_revert" },
	{ 0xc2103038, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x38b1d14c, "__mutex_rt_init" },
	{ 0xadfffba7, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0xf5bbec2b, "release_sock" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A6D685FCA11B50D9F3AB646");
MODULE_INFO(rhelversion, "9.6");
