#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x407b0781, "");
SYMBOL_CRC(tipc_dump_start, 0xda7042a8, "");
SYMBOL_CRC(tipc_dump_done, 0xdbdec2ba, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x613d341a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11ea97d2, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xcfd41066, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd108aaea, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x278bfb0e, "__nlmsg_put" },
	{ 0xafb4e45e, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7acf2376, "skb_put" },
	{ 0x557116c6, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbdf2d05e, "ip6_dst_hoplimit" },
	{ 0xc75e9b5a, "trace_output_call" },
	{ 0x9185846d, "consume_skb" },
	{ 0xd92d59b7, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9d46ba1, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x84ecf373, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0xc1a0581, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x930e6b3d, "__ip_dev_find" },
	{ 0xb00a04b4, "dst_cache_set_ip4" },
	{ 0xf558b259, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xe0eebc25, "genlmsg_put" },
	{ 0x834d4160, "___pskb_trim" },
	{ 0xffa7e0c6, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1523bc8b, "add_wait_queue" },
	{ 0xc24a2006, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x16241503, "crypto_alloc_aead" },
	{ 0x43b67985, "__tracepoint_sk_data_ready" },
	{ 0x167759ed, "netdev_warn" },
	{ 0x92d9c1e7, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x395bf849, "crypto_aead_decrypt" },
	{ 0xdcb500f2, "event_triggers_call" },
	{ 0x71cfee90, "kernel_accept" },
	{ 0xaf17c24, "__module_get" },
	{ 0x1e5a4867, "ip_route_output_flow" },
	{ 0xf0966041, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xab83f380, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x25cce7be, "pskb_expand_head" },
	{ 0x506ec060, "register_pernet_subsys" },
	{ 0xa2866dc, "put_cmsg" },
	{ 0x64e353f2, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x716d3065, "trace_event_buffer_commit" },
	{ 0xc18a02d3, "crypto_destroy_tfm" },
	{ 0x3ab8acb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x785959aa, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x33268d81, "sock_register" },
	{ 0x68fd829c, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb456929c, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc70ea48e, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xcafdb630, "rt_write_unlock" },
	{ 0x9f9616b0, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x37121ee, "skb_try_coalesce" },
	{ 0xb0b24abb, "proto_register" },
	{ 0x2f8e060b, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2f00043, "__wake_up_sync_key" },
	{ 0x81076865, "skb_queue_tail" },
	{ 0x9e80d4bc, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x4cf38166, "idr_remove" },
	{ 0x25d7e5b6, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5759a141, "__dev_get_by_index" },
	{ 0xe7d92055, "perf_trace_run_bpf_submit" },
	{ 0xc5de2117, "init_net" },
	{ 0x5f131a2c, "ipv6_stub" },
	{ 0x58c4b85f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x28c57410, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xfcaf614b, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x48aceaed, "sk_skb_reason_drop" },
	{ 0x8e32157e, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x67090b6d, "__SCK__tp_func_sk_data_ready" },
	{ 0xe99fac02, "dev_remove_pack" },
	{ 0x3c406118, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xe7b5d3b9, "kernel_sock_shutdown" },
	{ 0x50013bc7, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x3d2d3b4, "skb_push" },
	{ 0x7c9a6935, "dst_cache_get" },
	{ 0x4b233863, "sock_no_listen" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9bc59f15, "proc_doulongvec_minmax" },
	{ 0x9e0d4b95, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5dbdb097, "iov_iter_kvec" },
	{ 0xe6399751, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8b675628, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2d12bc99, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x88255cc9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba259833, "skb_copy_datagram_iter" },
	{ 0x4c933d9b, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4c83379d, "sk_alloc" },
	{ 0xe7a53427, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x65bc579, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xb566e227, "kfree_skb_partial" },
	{ 0xe3ebfbf7, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x4385ac8f, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf66a415b, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x9c5f2f71, "__pskb_pull_tail" },
	{ 0x195e754e, "sock_no_sendpage" },
	{ 0xe822fa96, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x1c19219f, "rhashtable_destroy" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0xa75d3ac, "setup_udp_tunnel_sock" },
	{ 0xb5ff475b, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1634dc3c, "skb_trim" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0x4323da9c, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0e49031, "bpf_trace_run3" },
	{ 0xb26e9523, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7faa1ca0, "sock_rfree" },
	{ 0xd726af96, "rt_read_lock" },
	{ 0x8af9b8e8, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbd2e4a36, "kernel_listen" },
	{ 0xc834295b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xca848826, "trace_event_buffer_reserve" },
	{ 0xc299ec5c, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4a0fa3d4, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xcc43c2e5, "rt_spin_trylock_bh" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xefb78d37, "dst_cache_set_ip6" },
	{ 0xe38bcf, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5419c01b, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x46c9c848, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xebba238a, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9361965d, "skb_copy" },
	{ 0x2debc29b, "skb_clone" },
	{ 0x2d804c49, "dev_get_by_name" },
	{ 0x51c96303, "rt_write_lock" },
	{ 0xe9256f9b, "_copy_from_iter" },
	{ 0x15ff3b51, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x9179ec3a, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x304b3a79, "rhashtable_walk_next" },
	{ 0x6aeb14e3, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf4797bc8, "sk_stop_timer" },
	{ 0x821bb67a, "unregister_net_sysctl_table" },
	{ 0xf5ed9cc6, "genl_unregister_family" },
	{ 0xa4e83b62, "from_kuid_munged" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x24d56e27, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x61e5fb13, "genl_register_family" },
	{ 0xc2103038, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x167745aa, "skb_to_sgvec" },
	{ 0x1ae4fae6, "rhashtable_walk_exit" },
	{ 0x7b27b980, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xadfffba7, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0xf5bbec2b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xaac5d3ac, "proc_dointvec_minmax" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,ipv6");


MODULE_INFO(srcversion, "27AFE6C59385FC62672BF2F");
MODULE_INFO(rhelversion, "9.6");
