#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xcd0061cc, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x3779e2ae, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x5f9ddec9, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x2126e0e8, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x1c865a71, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xc3ad2130, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x5f7ed6b8, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x406372ce, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x74ff8559, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x358f91de, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x859311d8, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x6b56b6b9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x1e16eb9c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xd1f74432, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x928d08ad, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x0fb51643, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x73bfd1cd, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xe7c6268b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0xb922847e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xfa07d400, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xefd12bd0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x01d66600, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xc64ad50a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xd3e582a0, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x6171493a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x62dde57e, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xa489a502, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x8ed3b39b, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x595e1c9d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xc363c471, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x99a8fd93, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xcdb6406b, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x99e303a1, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xb3866c2c, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x501aeb2c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x6f707770, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe469f133, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1c59b5c2, "vsock_insert_connected" },
	{ 0x7acf2376, "skb_put" },
	{ 0x9185846d, "consume_skb" },
	{ 0xa9d46ba1, "trace_raw_output_prep" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0xf1acd0d4, "vsock_remove_sock" },
	{ 0xc1a0581, "trace_event_printf" },
	{ 0x8751bac9, "vsock_deliver_tap" },
	{ 0xffa7e0c6, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1523bc8b, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdcb500f2, "event_triggers_call" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x183f20e4, "sk_error_report" },
	{ 0x716d3065, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x10c981aa, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb456929c, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xc70ea48e, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe7d92055, "perf_trace_run_bpf_submit" },
	{ 0x48aceaed, "sk_skb_reason_drop" },
	{ 0x3c406118, "sk_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9e0d4b95, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe8fa0c5e, "__skb_recv_datagram" },
	{ 0x88255cc9, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7d6a1ca, "vsock_stream_has_data" },
	{ 0xba259833, "skb_copy_datagram_iter" },
	{ 0xe88ba029, "bpf_trace_run9" },
	{ 0x61048683, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2f4fa235, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0x4298ee04, "bpf_trace_run10" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0x3ffecb03, "vsock_core_get_transport" },
	{ 0xfbd695e1, "__zerocopy_sg_from_iter" },
	{ 0x59734b06, "vsock_stream_has_space" },
	{ 0xd1fe4a9e, "skb_set_owner_w" },
	{ 0xca848826, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe9256f9b, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x9179ec3a, "remove_wait_queue" },
	{ 0x5c4cad3b, "msg_zerocopy_realloc" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0x9e380fcc, "vsock_create_connected" },
	{ 0xcb8458d0, "vsock_assign_transport" },
	{ 0x24d56e27, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7b96bc03, "iov_iter_npages" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0xf5bbec2b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaaab09e3, "vsock_data_ready" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "CC66752BEBE17CC8EB88BBB");
MODULE_INFO(rhelversion, "9.6");
