#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(cfg80211_radio_chandef_valid, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_gen_new_ie, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_free_coloc_ap_list, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_parse_colocated_ap, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_check_beaconing, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x175f974d, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x2a424b40, "");
SYMBOL_CRC(wiphy_register, 0x3e862a33, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0xb709fc41, "");
SYMBOL_CRC(wiphy_unregister, 0xa026d48b, "");
SYMBOL_CRC(wiphy_free, 0x8c0b5e1c, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x96e8d036, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x1fb3f355, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x41e0085f, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x19058ec6, "");
SYMBOL_CRC(wiphy_work_queue, 0x34442340, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x43850d0e, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x66a38a95, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0xdf4d81fe, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x8a90bafd, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x2a11f7ed, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0xef545e15, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x46910b08, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x64d86974, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x238c88cd, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x2acc8e54, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xf3e75584, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0xd259f124, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xda89d745, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x448ab88b, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x18c64f7d, "");
SYMBOL_CRC(cfg80211_check_combinations, 0xdf37e606, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x6e28263c, "");
SYMBOL_CRC(cfg80211_get_station, 0x9716882a, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x8641972e, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0xdcaf593c, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x371fb7f3, "");
SYMBOL_CRC(cfg80211_radio_chandef_valid, 0x53382dce, "");
SYMBOL_CRC(get_wiphy_regdom, 0x774cbd77, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0x17fc189c, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0xec763692, "");
SYMBOL_CRC(regulatory_hint, 0x86896377, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x12abcf3b, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x607701e0, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x0b4f31b9, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_gen_new_ie, 0xd949fe38, "");
SYMBOL_CRC(cfg80211_free_coloc_ap_list, 0x6563568b, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_parse_colocated_ap, 0xe23bea70, "");
SYMBOL_CRC(cfg80211_scan_done, 0xc5ee582e, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0xc692e625, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0xec68d7c7, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x846d52cf, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x5792eb55, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0xdda6d23f, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x310becdd, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x6f5e8ba5, "");
SYMBOL_CRC(cfg80211_ref_bss, 0xc8d8b9c1, "");
SYMBOL_CRC(cfg80211_put_bss, 0x60d1f72b, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x39046557, "");
SYMBOL_CRC(cfg80211_bss_iter, 0xa22a917d, "");
SYMBOL_CRC(nl80211_send_chandef, 0x0640946f, "");
SYMBOL_CRC(cfg80211_check_station_change, 0xa4bc492c, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0xc761a854, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x2d1dffa6, "");
SYMBOL_CRC(cfg80211_nan_match, 0x2f4de062, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x876799b6, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x8c649e97, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0xd7b1252e, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x5954d09f, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x493fb48d, "");
SYMBOL_CRC(cfg80211_links_removed, 0xa16a010b, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0xd914df7c, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x039f6c37, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x375256ec, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x00863708, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x173e6611, "");
SYMBOL_CRC(cfg80211_new_sta, 0xed3f4cd7, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0xc5500e32, "");
SYMBOL_CRC(cfg80211_conn_failed, 0xfbda5cb3, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x57917a2b, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x9b48ed32, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x5b5e8e92, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xd63cc3dc, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x291b5380, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x302acafa, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x2cd78478, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x9c0dd871, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x59e4a204, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0xb8bb089e, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xfd15861f, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x9a160be2, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x5a7fb886, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x7cb40ec9, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x6a3fe19d, "");
SYMBOL_CRC(cfg80211_probe_status, 0xda94e303, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x96fcf959, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0xa4bbd656, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0xb3ce1c97, "");
SYMBOL_CRC(cfg80211_ft_event, 0xabb63be6, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x5da6b2ae, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x93187b3c, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x74f12037, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x41b47623, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0xf05bb895, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0xf0ce58b1, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x7c4f9de1, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xf6a32c13, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0xe22654ee, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0xbd220c56, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x2f94f6ae, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x9d96d842, "");
SYMBOL_CRC(cfg80211_cac_event, 0xe49196d8, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x3511f07f, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x3f6a67c2, "");
SYMBOL_CRC(cfg80211_connect_done, 0xb38205c8, "");
SYMBOL_CRC(cfg80211_roamed, 0x9b7392f0, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x6c8d1470, "");
SYMBOL_CRC(cfg80211_disconnected, 0x83fa45e6, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x3c86466d, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0xe2eea9ba, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x49946ff2, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xf7230a40, "");
SYMBOL_CRC(cfg80211_reg_check_beaconing, 0xa7f7f411, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x9abbd004, "");
SYMBOL_CRC(wdev_chandef, 0x87f7ce08, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0xea91847c, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0x7fc8923a, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x697d70bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0x42e86a6b, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa8483361, "verify_pkcs7_signature" },
	{ 0xd108aaea, "bpf_trace_run4" },
	{ 0x11ed180, "skb_copy_bits" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x7acf2376, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xff1747de, "dev_set_name" },
	{ 0x9185846d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x26cac303, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9d46ba1, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xc89d3d48, "bpf_trace_run6" },
	{ 0x21d4df68, "rt_mutex_base_init" },
	{ 0xce6df76, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x11a3f7bc, "request_firmware" },
	{ 0xc1a0581, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x46052134, "device_initialize" },
	{ 0x35017213, "skb_add_rx_frag" },
	{ 0xe0eebc25, "genlmsg_put" },
	{ 0xffa7e0c6, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbfedddd, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x10d9a1c1, "bpf_trace_run2" },
	{ 0x1ce39326, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf16db25b, "genlmsg_multicast_allns" },
	{ 0xdcb500f2, "event_triggers_call" },
	{ 0x96173c99, "__wake_up" },
	{ 0xa6b20df9, "unregister_netdevice_queue" },
	{ 0x91a4bf1d, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa45e0dd, "netlink_broadcast_filtered" },
	{ 0xaee0253c, "keyring_alloc" },
	{ 0x23dd5ebc, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b45d511, "device_rename" },
	{ 0x716d3065, "trace_event_buffer_commit" },
	{ 0x3ab8acb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x22dc0c25, "put_device" },
	{ 0xb456929c, "trace_event_ignore_this_pid" },
	{ 0x646bb1b, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xc70ea48e, "__alloc_skb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc4bf5589, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0x84c6ba11, "inet_csk_get_port" },
	{ 0xf399bd13, "key_put" },
	{ 0x299a2c0b, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5759a141, "__dev_get_by_index" },
	{ 0xe7d92055, "perf_trace_run_bpf_submit" },
	{ 0xc5de2117, "init_net" },
	{ 0x712e3e64, "request_firmware_nowait" },
	{ 0x58c4b85f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x91a20a0b, "device_add" },
	{ 0xa8d027ec, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7aa56b03, "init_uts_ns" },
	{ 0x29fb7f64, "platform_device_unregister" },
	{ 0x48aceaed, "sk_skb_reason_drop" },
	{ 0x8e32157e, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3625c35a, "dev_get_by_index" },
	{ 0x9263a8e9, "bpf_trace_run5" },
	{ 0xe9dba387, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x905b952b, "mutex_lock" },
	{ 0x3d2d3b4, "skb_push" },
	{ 0x57a5145e, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9e0d4b95, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xaf2a6868, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2d12bc99, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa9b6f481, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0xecc83af, "bpf_trace_run1" },
	{ 0x94adc14f, "device_del" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa2339c22, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xdb6976c9, "__init_waitqueue_head" },
	{ 0x9c5f2f71, "__pskb_pull_tail" },
	{ 0xe822fa96, "netif_rx" },
	{ 0xfb6aec37, "__netdev_alloc_skb" },
	{ 0x27511b1d, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1634dc3c, "skb_trim" },
	{ 0xa5f512ce, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0e49031, "bpf_trace_run3" },
	{ 0xc7d4c94, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf0185015, "get_net_ns_by_pid" },
	{ 0x4bfefd52, "debugfs_rename" },
	{ 0x40f011c0, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xca848826, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0xae40baf3, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4e84720d, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xda02b9bc, "x509_load_certificate_list" },
	{ 0x15ff3b51, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xf5ed9cc6, "genl_unregister_family" },
	{ 0x6732d6fe, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0x90fd031f, "bpf_trace_run7" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x8f0402f3, "param_ops_int" },
	{ 0x21e9246c, "debugfs_create_dir" },
	{ 0x61e5fb13, "genl_register_family" },
	{ 0x49264a39, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7b27b980, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x38b1d14c, "__mutex_rt_init" },
	{ 0xe53de5b8, "get_net_ns_by_fd" },
	{ 0x24dc6d55, "class_register" },
	{ 0x1558ac1e, "bpf_trace_run11" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7b0b91d5, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5257a3ec, "register_netdevice" },
	{ 0x6c032b6e, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "149D408CF414D392B6F5CD9");
MODULE_INFO(rhelversion, "9.6");
